.video-instructions.page-photo-id-camera {
    padding-top: 60px
}

.instruction-block {
    border: 3px solid #adadac;
    padding: 20px;
    border-radius: 40px;
    margin-bottom: 40px
}

.instruction-block__inner {
    transition: opacity .4s ease-in-out
}

.fade-in {
    opacity: 1
}

.fade-out {
    opacity: 0
}

.text {
    margin-top: .75rem;
    font-weight: 500
}

.overlay {
    position: absolute;
    z-index: 999;
    width: 100%;
    height: 100dvh;
    background: #000000f2;
    top: 0;
    left: 0
}

.overlay__inner {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center
}

.invalid {
    border: 5px solid red
}

.valid {
    border: 5px solid green
}

@media (min-width: 992px) {
    video {
        transform: scaleX(-1);
        -webkit-transform: scaleX(-1)
    }
}

.front-camera {
    transform: scaleX(-1);
    -webkit-transform: scaleX(-1)
}

.close-btn {
    cursor: pointer;
    display: inline-block;
    padding: 0;
    line-height: 1;
    -webkit-user-select: none;
    user-select: none;
    border: none
}

.page-video {
    height: 100% !important;
    overflow: hidden;
    position: relative;
    background: #000
}

.verification-container:has(.page-video) {
    height: 100dvh !important;
    padding: 0 !important
}

.page-video .copyright,
.page-video .copyright a {
    color: white !important
}

@media (max-width: 991px) {
    .page-video #webcam {
        transform: scaleX(-1);
        -webkit-transform: scaleX(-1)
    }
}

.video-position__text {
    position: relative;
    width: 100%;
    left: 0;
    padding: 0 15px;
    z-index: 99
}

#webcam {
    z-index: -10;
    flex-grow: initial !important;
    max-height: none !important;
    height: 330px !important;
    object-fit: cover !important
}

#webcam-wrapper {
    position: absolute;
    width: 200px;
    height: 250px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 0 0 0 100vmax #000000c7;
    border-radius: 43%;
    z-index: 9
}

.webcam-wrapper__inner {
    display: block;
    position: relative;
    width: 100%;
    height: 100%;
    z-index: 9999
}

.webcam-wrapper__top,
.webcam-wrapper__bottom,
.webcam-wrapper__left,
.webcam-wrapper__right {
    position: absolute;
    border: 8px solid #b4b5b3;
    background: transparent;
    transition: background-color .3s ease, box-shadow .3s ease
}

.webcam-wrapper__top,
.webcam-wrapper__bottom {
    left: -10px;
    width: calc(100% + 20px);
    height: 260px;
    border-radius: 45%;
    border-left-color: transparent;
    border-right-color: transparent
}

.webcam-wrapper__top {
    top: -20px;
    border-bottom-color: transparent
}

.webcam-wrapper__bottom {
    bottom: -20px;
    border-top-color: transparent
}

.webcam-wrapper__left,
.webcam-wrapper__right {
    top: 0;
    width: 210px;
    height: 100%;
    border-radius: 39%;
    border-bottom-color: transparent;
    border-top-color: transparent
}

.webcam-wrapper__left {
    left: -15px;
    border-right-color: transparent
}

.webcam-wrapper__right {
    right: -15px;
    border-left-color: transparent
}

.success--left {
    border-left-color: green !important
}

.success--right {
    border-right-color: green !important
}

.success--top {
    border-top-color: green !important
}

.success--bottom {
    border-bottom-color: green !important
}

.error--left {
    border-left-color: red !important
}

.error--right {
    border-right-color: red !important
}

.error--top {
    border-top-color: red !important
}

.error--bottom {
    border-bottom-color: red !important
}

.flash--left {
    border-left-color: orange !important;
    animation: flashBlink .6s ease-in-out
}

.flash--right {
    border-right-color: orange !important;
    animation: flashBlink .6s ease-in-out
}

.flash--top {
    border-top-color: orange !important;
    animation: flashBlink .6s ease-in-out
}

.flash--bottom {
    border-bottom-color: orange !important;
    animation: flashBlink .6s ease-in-out
}

@keyframes flashBlink {
    0% {
        opacity: .4
    }

    50% {
        opacity: 1
    }

    to {
        opacity: .4
    }
}

html,
body,
main {
    height: 100dvh
}

.highlight-past {
    color: green
}

.highlight-current {
    color: orange
}

.verification-container {
    padding: 20px 0 0;
    max-width: 800px;
    height: 100dvh
}

.verification-container-page {
    display: flex;
    flex-direction: column;
    height: calc(var(--app-height) - 80px);
    justify-content: space-between;
    text-align: center;
    align-items: center
}

#video-id,
#webcam {
    flex-grow: 1;
    object-fit: contain;
    width: 100%;
    height: auto;
    max-height: 75%
}

#birth-container {
    display: flex;
    gap: 6px;
    justify-content: center
}

#birth-container #birth-year {
    text-align: center;
    max-width: 100px
}

#birth-container #birth-month,
#birth-container #birth-day {
    text-align: center;
    max-width: 80px
}

.blur .selfie-shape {
    display: none !important
}

img.selfie-shape {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    pointer-events: none;
    opacity: .6;
    filter: drop-shadow(2px 2px 2px black) blur(1px)
}

.img-footer-logo {
    width: 64px;
    height: 64px;
    margin: auto
}

.img-reload {
    max-width: 64px;
    margin: auto
}

.img-photo-icon {
    width: 44px;
    margin-left: auto;
    margin-right: auto
}

#img-photo-id-sample,
#img-photo-selfy-sample {
    max-width: 90%
}

#img-photo-selfy-sample {
    width: 324px;
    border: 4px solid black;
    padding: 26px
}

.page-photo-id h2,
.page-photo-id #take-photo-id,
.page-photo-selfy-uploaded h2,
.page-photo-id-camera h2,
.page-photo-selfy-camera h2,
.page-photo-id-camera #btn-take-photo-id-camera,
.page-photo-selfy-uploaded .btn {
    text-transform: uppercase
}

#id-image,
#selfy-image {
    position: absolute;
    visibility: hidden
}

.blur {
    filter: blur(3px)
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0
}

input[type=number] {
    appearance: textfield;
    -moz-appearance: textfield;
    -webkit-appearance: textfield
}

.img-reload {
    -webkit-animation: spin .6s linear infinite;
    -moz-animation: spin .6s linear infinite;
    animation: spin .6s linear infinite
}

@-moz-keyframes spin {
    to {
        -moz-transform: rotate(-180deg)
    }
}

@-webkit-keyframes spin {
    to {
        -webkit-transform: rotate(-180deg)
    }
}

@keyframes spin {
    to {
        -webkit-transform: rotate(-180deg);
        transform: rotate(-180deg)
    }
}

#btn-take-photo-id--upload,
#btn-take-selfie--upload {
    width: 300px
}

.media-container {
    max-height: 40vh
}

#top-header {
    position: relative;
    width: 100%;
    box-shadow: 0 1px 6px 2px rgba(0, 0, 0, 0.05);
    z-index: 1;
    border-bottom: 1px solid #eee;
}

#top-header img {
    max-width: 90%;
    max-height: 40px
}

#top-header .mp-header {
    background-color: #fff;
    padding: 15px;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
}

.canvas-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    width: 100%;
    height: 100%
}

#canvas-id,
#canvas-selfy {
    max-width: 100vw;
    max-height: 50vh
}

.spinner-loader-fader.active {
    z-index: 1000
}

@media screen and (max-width: 500px) {
    p.copyright {
        font-size: 3vw
    }
}

@keyframes pageFade {
    0% {
        opacity: 0;
        transform: translateY(6px)
    }

    to {
        opacity: 1;
        transform: translateY(0)
    }
}